MantisBT

View Issue Details Jump to Notes ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007968Last.fm pluginInstall/Configpublic2011-06-17 10:092011-06-27 20:58
Reporterrusty 
PriorityimmediateSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.0.2 
Target Version1.0.2Fixed in Version1.0.2 
Summary0007968: MM4 Default Last-fm submission rules prevent submission of all music
DescriptionOn a clean install of the last-fm plugin, submission rules exclude submission of Music and Classical music (i.e. the rules are inverted from what they should be--see attached).

This results in failed submission of all played music:
6/17/2011 09:59:21.068: Last.FM: NowPlaying Skipping as Track is excluded by "Music" Filter/Collection
6/17/2011 10:00:54.780: Last.FM: Player got Command wParam (Status)
6/17/2011 10:00:54.796: Last.FM: Player got Command wParam (Play Counter)
6/17/2011 10:00:55.097: Last.FM: Submit Started at 1308319254
6/17/2011 10:00:55.113: Last.FM: Session ID c97866ef2e8d499d9b17aadacd96c19e
6/17/2011 10:00:55.432: Last.FM: Player got Command wParam (Volume)
6/17/2011 10:00:55.447: Last.FM: Player got Command wParam (Volume)
6/17/2011 10:00:55.462: Last.FM: Player got Command wParam (Volume)
6/17/2011 10:00:55.478: Last.FM: Player got Command wParam (Status)
6/17/2011 10:00:55.500: Last.FM: Nowplaying Play Detected at 1308319255
6/17/2011 10:00:55.628: Last.FM: Submit Song Pink Floyd - 03 - The Happiest Days Of Our Lives
6/17/2011 10:00:55.714: Last.FM: Player got Command wParam (Volume)
6/17/2011 10:00:55.834: Last.FM: Player got Command wParam (Title)
6/17/2011 10:00:55.985: Last.FM: Player got Command wParam (Status)
6/17/2011 10:00:56.143: Last.FM: Checking exclusion in "Music" Filter/Collection
6/17/2011 10:00:56.378: Last.FM: Exclusion found in "Music" Filter/Collection
6/17/2011 10:00:56.414: Last.FM: Submit Skipping as Track is excluded by "Music" Filter/Collection
6/17/2011 10:00:56.436: Last.FM: Session ID c97866ef2e8d499d9b17aadacd96c19e
6/17/2011 10:00:56.461: Last.FM: NowPlaying Song Pink Floyd - 04 - Comfortably Numb
6/17/2011 10:00:56.488: Last.FM: Checking exclusion in "Music" Filter/Collection
6/17/2011 10:00:56.549: Last.FM: Exclusion found in "Music" Filter/Collection
6/17/2011 10:00:56.591: Last.FM: NowPlaying Skipping as Track is excluded by "Music" Filter/Collection
TagsNo tags attached.
Fixed in build
Attached Filesjpg file icon last.fm_sub_rules.jpg [^] (20,119 bytes) 2011-06-17 10:09

- Relationships
related to 0007978closedpeke Default Install/Uninstall options 

-  Notes
(0026210)
peke (developer)
2011-06-17 10:56

Fixed 1.0.2.27
(0026219)
rusty (administrator)
2011-06-19 01:48

Tested with 1.02.27 and the issue remains (note that to test, I uninstalled previous version of the plugin, restarted, and then installed the new version).

Is it working on your system?
(0026221)
peke (developer)
2011-06-19 06:09
edited on: 2011-06-19 14:05

It works on my PC. are you sure that You have removed [Last.FM] section from MM.ini file? Default submission rules are applied only if INI do not have that section.

(0026401)
peke (developer)
2011-06-27 20:58

verified within bug 0007978


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker